	.386
	.model	use32 small

	extrn allerrl : PROC, exp : PROC
	public	_expl
	.data
nm	db	"expl",0

	.code
_expl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	call	exp
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end